> For the complete documentation index, see [llms.txt](https://docs.samesystem.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.samesystem.dev/api-v1-reference/schedule/import-time-registrations.md).

# Import time registrations

Import multiple time registrations at once for multiple shops and users.

```json
{"openapi":"3.0.0","info":{"title":"SameSystem API V1","version":"1.1.3"},"servers":[{"url":"https://api.samesystem.com/api/v1/","description":""}],"paths":{"/{clientToken}/time_registrations/import":{"post":{"tags":["Schedule"],"summary":"Import time registrations","description":"Import multiple time registrations at once for multiple shops and users.","operationId":"post-clientToken-time_registrations-import","parameters":[{"name":"clientToken","in":"path","description":"Token in a form of \"c\\<clientId\\>\".","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeRegistrationsCreateInput"}}}},"responses":{"200":{"description":"Successful\n\nThe response will return an array of updated_shifts objects for created/updated time registrations.\nThere will be one object per time registration with an id of the time registration and a status. \n\nIf you try to send a time registration on a confirmed day it will just be ignored but you will see a note in the info_messages array.","content":{"application/json":{"schema":{"type":"object","properties":{"updated_shifts":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Internal id of the time registration","format":"int64"},"status":{"type":"string","description":"Can be \"with_deviations\" or \"as_planned\""}}}},"info_messages":{"type":"array","items":{"type":"string"}}}}}}}}}}},"components":{"schemas":{"TimeRegistrationsCreateInput":{"type":"object","properties":{"overwrite":{"type":"boolean","description":"If set to true, import will delete any previous time registrations from dates you are importing.\n\nIf set to false, import will add new non-intersecting and modify intersecting time registrations, anything that was added previously will be kept.","default":false},"time_registrations":{"type":"array","items":{"type":"object","properties":{"user_id":{"type":"integer","description":"Internal id of the employee"},"shop_id":{"type":"integer","description":"Internal id of the department/shop"},"shifts":{"type":"array","items":{"type":"object","properties":{"date":{"type":"string","description":"Date of time registration","format":"date"},"start_time":{"type":"string","description":"Start time of time registration"},"end_time":{"pattern":"^\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2}$","type":"string","description":"End time of time registration"},"breaks":{"type":"array","items":{"type":"object","properties":{"start_time":{"type":"string","description":"Start time of break"},"end_time":{"type":"string","description":"End time of break"},"paid":{"type":"boolean","description":"If set to true, the break is paid"}}}}}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.samesystem.dev/api-v1-reference/schedule/import-time-registrations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
